> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get space collaborators

> List a space collaborator



## OpenAPI

````yaml /swagger.json get /space/{spaceId}/collaborators
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /space/{spaceId}/collaborators:
    get:
      tags:
        - space
      description: List a space collaborator
      parameters:
        - schema:
            type: string
          required: true
          name: spaceId
          in: path
        - schema:
            type: boolean
            nullable: true
          required: false
          name: includeSystem
          in: query
        - schema:
            type: boolean
            nullable: true
          required: false
          name: includeBase
          in: query
        - schema:
            type: number
            nullable: true
          required: false
          name: skip
          in: query
        - schema:
            type: number
            nullable: true
          required: false
          name: take
          in: query
        - schema:
            type: string
          required: false
          name: search
          in: query
        - schema:
            type: string
            enum:
              - user
              - department
          required: false
          name: type
          in: query
        - schema:
            type: string
            enum:
              - desc
              - asc
          required: false
          name: orderBy
          in: query
      responses:
        '200':
          description: Successful response, return space collaborator list.
          content:
            application/json:
              schema:
                type: object
                properties:
                  collaborators:
                    type: array
                    items:
                      oneOf:
                        - type: object
                          properties:
                            userId:
                              type: string
                            userName:
                              type: string
                            email:
                              type: string
                            role:
                              type: string
                              enum:
                                - owner
                                - creator
                                - editor
                                - commenter
                                - viewer
                            avatar:
                              type: string
                              nullable: true
                            createdTime:
                              type: string
                            type:
                              type: string
                              enum:
                                - user
                            resourceType:
                              type: string
                              enum:
                                - space
                                - base
                            isSystem:
                              type: boolean
                            billable:
                              type: boolean
                            base:
                              type: object
                              properties:
                                id:
                                  type: string
                                name:
                                  type: string
                              required:
                                - id
                                - name
                          required:
                            - userId
                            - userName
                            - email
                            - role
                            - avatar
                            - createdTime
                            - type
                            - resourceType
                        - type: object
                          properties:
                            departmentId:
                              type: string
                            departmentName:
                              type: string
                            role:
                              type: string
                              enum:
                                - owner
                                - creator
                                - editor
                                - commenter
                                - viewer
                            createdTime:
                              type: string
                            type:
                              type: string
                              enum:
                                - department
                            resourceType:
                              type: string
                              enum:
                                - space
                                - base
                            base:
                              type: object
                              properties:
                                id:
                                  type: string
                                name:
                                  type: string
                              required:
                                - id
                                - name
                          required:
                            - departmentId
                            - departmentName
                            - role
                            - createdTime
                            - type
                            - resourceType
                  uniqTotal:
                    type: number
                  total:
                    type: number
                required:
                  - collaborators
                  - uniqTotal
                  - total
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/space/%7BspaceId%7D/collaborators?includeSystem=SOME_BOOLEAN_VALUE&includeBase=SOME_BOOLEAN_VALUE&skip=SOME_NUMBER_VALUE&take=SOME_NUMBER_VALUE&search=SOME_STRING_VALUE&type=SOME_STRING_VALUE&orderBy=SOME_STRING_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/space/%7BspaceId%7D/collaborators?includeSystem=SOME_BOOLEAN_VALUE&includeBase=SOME_BOOLEAN_VALUE&skip=SOME_NUMBER_VALUE&take=SOME_NUMBER_VALUE&search=SOME_STRING_VALUE&type=SOME_STRING_VALUE&orderBy=SOME_STRING_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/space/%7BspaceId%7D/collaborators?includeSystem=SOME_BOOLEAN_VALUE&includeBase=SOME_BOOLEAN_VALUE&skip=SOME_NUMBER_VALUE&take=SOME_NUMBER_VALUE&search=SOME_STRING_VALUE&type=SOME_STRING_VALUE&orderBy=SOME_STRING_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/space/%7BspaceId%7D/collaborators?includeSystem=SOME_BOOLEAN_VALUE&includeBase=SOME_BOOLEAN_VALUE&skip=SOME_NUMBER_VALUE&take=SOME_NUMBER_VALUE&search=SOME_STRING_VALUE&type=SOME_STRING_VALUE&orderBy=SOME_STRING_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````